PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List sites GETCreate a site POSTGet a site GETUpdate a site PATCHDelete a site DELETEPublish a site POSTUnpublish a site POSTList pages GETCreate a page POSTGet a page GETUpdate a page PATCHDelete a page DELETEList collections GETCreate a collection POSTGet a collection GETUpdate a collection PATCHDelete a collection DELETEList collection items GETCreate a collection item POSTGet a collection item GETUpdate a collection item PATCHDelete a collection item DELETEPublish collection items POSTUnpublish collection items POSTArchive collection items POSTUpsert collection items POST
Sites

Update a page

`body` must be a complete body SiteElement tree. Pass `expectedContentVersion` to fail instead of overwriting newer edits. Header, footer, and template pages take `title` and `body` only.

PATCH
/sites/{siteId}/pages/{pageId}

body must be a complete body SiteElement tree. Pass expectedContentVersion to fail instead of overwriting newer edits. Header, footer, and template pages take title and body only.

Authorization

x-api-key<token>

In: header

Path Parameters

siteId*string
pageId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/sites/string/pages/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "title": "string",    "slug": "string",    "kind": "PAGE",    "hidden": true,    "hideHeader": false,    "hideFooter": false,    "seo": {      "title": "string",      "description": "string",      "ogImage": "string",      "noindex": true,      "schemaType": "WebPage",      "publishedAt": "string"    },    "contentVersion": 0,    "body": null,    "updatedAt": "2019-08-24T14:15:22Z"  }}

Get a page GET

Includes the draft body tree and `contentVersion`.

Delete a page DELETE

The homepage cannot be deleted.

title?string
Lengthlength <= 160
slug?string
Lengthlength <= 80
hidden?boolean
hideHeader?boolean
hideFooter?boolean
seo?
expectedContentVersion?integer
Range0 <= value
body?unknown

Complete body SiteElement tree